summaryrefslogtreecommitdiffstats
path: root/development/wxFormBuilder
diff options
context:
space:
mode:
author Antonio Leal2023-02-23 02:27:05 +0100
committer Willy Sudiarto Raharjo2023-02-25 03:18:05 +0100
commiteb2b8cbe2527ab346281195e59010656c2c6074a (patch)
tree6cc2b668a48953287677e2b36a654769b56e7e51 /development/wxFormBuilder
parentb774eae973cd3c798dfc6444c0e92e92fd05867d (diff)
downloadslackbuilds-eb2b8cbe2527ab346281195e59010656c2c6074a.tar.gz
development/wxFormBuilder: Added ( wxWidgets RAD tool )
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/wxFormBuilder')
-rw-r--r--development/wxFormBuilder/README11
-rw-r--r--development/wxFormBuilder/auitabart.h.patch11
-rw-r--r--development/wxFormBuilder/doinst.sh13
-rw-r--r--development/wxFormBuilder/slack-desc19
-rw-r--r--development/wxFormBuilder/wxFormBuilder.SlackBuild123
-rw-r--r--development/wxFormBuilder/wxFormBuilder.info10
6 files changed, 187 insertions, 0 deletions
diff --git a/development/wxFormBuilder/README b/development/wxFormBuilder/README
new file mode 100644
index 0000000000..8c2ef3caa7
--- /dev/null
+++ b/development/wxFormBuilder/README
@@ -0,0 +1,11 @@
+wxFormBuilder ( wxWidgets RAD tool )
+
+wxFormBuilder is a GUI builder for the wxWidgets framework.
+
+Code generation is supported for C++, Python, XRC, Lua and PHP.
+Additionally, the import and export of XRC code is possible.
+To support additional widgets, custom plugins can be used.
+
+wxFormBuilder runs on Windows, various Linux distributions and macOS.
+
+This package installs to /opt/wxFormBuilder
diff --git a/development/wxFormBuilder/auitabart.h.patch b/development/wxFormBuilder/auitabart.h.patch
new file mode 100644
index 0000000000..d7e03a8d1d
--- /dev/null
+++ b/development/wxFormBuilder/auitabart.h.patch
@@ -0,0 +1,11 @@
+--- auitabart.h 2021-10-22 17:19:37.000000000 +0100
++++ auitabart.h.new 2023-02-19 11:05:12.071625681 +0000
+@@ -6,7 +6,7 @@
+ class AuiTabArt : public wxAuiGenericTabArt {
+ public:
+ wxSize GetTabSize(wxDC& dc, wxWindow* wnd, const wxString& caption, const wxBitmap& bitmap,
+- bool active, int close_button_state, int* x_extent) override {
++ bool active, int close_button_state, int* x_extent) {
+ return wxAuiGenericTabArt::GetTabSize(dc, wnd, caption, bitmap, active, close_button_state,
+ x_extent) +
+ wxSize(0, 2);
diff --git a/development/wxFormBuilder/doinst.sh b/development/wxFormBuilder/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/development/wxFormBuilder/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/wxFormBuilder/slack-desc b/development/wxFormBuilder/slack-desc
new file mode 100644
index 0000000000..86be349955
--- /dev/null
+++ b/development/wxFormBuilder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wxFormBuilder: wxFormBuilder ( wxWidgets RAD tool )
+wxFormBuilder:
+wxFormBuilder: wxFormBuilder is a GUI builder for the wxWidgets framework.
+wxFormBuilder:
+wxFormBuilder: Code generation is supported for C++, Python, XRC, Lua and PHP.
+wxFormBuilder: Additionally, the import and export of XRC code is possible.
+wxFormBuilder: To support additional widgets, custom plugins can be used.
+wxFormBuilder:
+wxFormBuilder:
+wxFormBuilder:
+wxFormBuilder:
diff --git a/development/wxFormBuilder/wxFormBuilder.SlackBuild b/development/wxFormBuilder/wxFormBuilder.SlackBuild
new file mode 100644
index 0000000000..a0a3e4b24a
--- /dev/null
+++ b/development/wxFormBuilder/wxFormBuilder.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+
+# Slackware build script for wxFormBuilder
+
+# Copyright 2023 Antonio Leal, Porto Salvo, Oeiras, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wxFormBuilder
+VERSION=${VERSION:-3.10.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+BUILDDIR=$TMP/$PRGNAM-$VERSION
+
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG $BUILDDIR
+mkdir -p $TMP $PKG $OUTPUT $BUILDDIR
+cd $TMP
+tar xvfz $CWD/$PRGNAM-$VERSION-source-full.tar.gz
+cd $BUILDDIR
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+patch src/rad/auitabart.h $CWD/auitabart.h.patch
+
+cmake -S . -B _build -G "Unix Makefiles" --install-prefix "$PKG/opt/wxFormBuilder" -DCMAKE_BUILD_TYPE=Release
+cmake --build _build --config Release
+cmake --install _build --config Release
+
+#remove zero length files
+rm $PKG/opt/wxFormBuilder/share/mime/XMLnamespaces
+rm $PKG/opt/wxFormBuilder/share/mime/subclasses
+rm $PKG/opt/wxFormBuilder/share/mime/generic-icons
+rm $PKG/opt/wxFormBuilder/share/mime/aliases
+
+# create program symlinks
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; rm -rf wxformbuilder )
+( cd $PKG/usr/bin ; ln -sf ../../opt/wxFormBuilder/bin/wxformbuilder wxformbuilder )
+mkdir -p $PKG/usr/share/applications
+( cd $PKG/usr/share/applications ; rm -rf org.wxformbuilder.wxFormBuilder.desktop )
+( cd $PKG/usr/share/applications ; ln -sf ../../../opt/wxFormBuilder/share/applications/org.wxformbuilder.wxFormBuilder.desktop org.wxformbuilder.wxFormBuilder.desktop )
+mkdir -p $PKG/usr/share/pixmaps
+( cd $PKG/usr/share/pixmaps ; rm -rf org.wxformbuilder.wxFormBuilder.png )
+( cd $PKG/usr/share/pixmaps ; ln -sf ../../../opt/wxFormBuilder/share/icons/hicolor/48x48/apps/org.wxformbuilder.wxFormBuilder.png org.wxformbuilder.wxFormBuilder.png )
+
+
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/wxFormBuilder/wxFormBuilder.info b/development/wxFormBuilder/wxFormBuilder.info
new file mode 100644
index 0000000000..fb0fb75e19
--- /dev/null
+++ b/development/wxFormBuilder/wxFormBuilder.info
@@ -0,0 +1,10 @@
+PRGNAM="wxFormBuilder"
+VERSION="3.10.1"
+HOMEPAGE="https://github.com/wxFormBuilder/wxFormBuilder"
+DOWNLOAD="https://github.com/wxFormBuilder/wxFormBuilder/releases/download/v3.10.1/wxFormBuilder-3.10.1-source-full.tar.gz"
+MD5SUM="e9298647afc4b84c7db9ea51adbdaf0a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxWidgets"
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"